<!--
 - Created by MarosGrajcar on 12/9/2019.
 -->

<!-- Eqt Table View -->
<template>
    <template if:true={Loading}>
        <lightning-spinner class="slds-is-relative slds-align--absolute-center slds-p-around--small"
                           alternative-text="Loading" size="medium"></lightning-spinner>
    </template>

    <template if:false={loading}>
        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-show_medium" style="background-color:white">

            <div class="slds-grid slds-wrap slds-card slds-p-top--medium slds-p-bottom--medium slds-text-title slds-border--bottom">

                <div class="slds-size--1-of-12 slds-border--right slds-text-title_caps slds-align--absolute-center">
                    <b>Equipment</b>
                </div>
                <div class="slds-size--3-of-12 slds-border--right slds-text-title_caps slds-align--absolute-center slds-truncate">
                    <b>Description of Equipment</b>
                </div>
                <div class="slds-size--2-of-12 slds-border--right slds-text-title_caps slds-align--absolute-center slds-truncate">
                    <b>Manufacturer</b>
                </div>
                <div class="slds-size--2-of-12 slds-border--right slds-text-title_caps slds-align--absolute-center slds-truncate">
                    <b>Model Number</b>
                </div>
                <div class="slds-size--2-of-12 slds-border--right slds-text-title_caps slds-align--absolute-center slds-truncate">
                    <b>Manufacturer Sr. No.</b>
                </div>
                <div class="slds-size--2-of-12 slds-text-title_caps slds-align--absolute-center slds-truncate">
                    <b>Tag Number</b>
                </div>
            </div>

            <div class="slds-medium-size--1-of-1 slds-show_large slds-show_medium">

            </div>

            <template for:each={superiorEquipments} for:item="eq" for:index="equipmentIndex">
                <div if:true={eq.isMaster} key={eq.equipment.Id}>
                    <c-eqt_table_masters_view equipment={eq}
                                              record-id={recordId}>
                    </c-eqt_table_masters_view>

                </div>
            </template>

        </div>

        <!--SMALL DEVICES-->
        <div class="slds-hide_medium" style="background-color:white">

            <template for:each={superiorEquipments} for:item="eq" for:index="equipmentIndex">
                <div if:true={eq.isMaster} key={eq.equipment.Id}>
                    <c-eqt_table_masters_view equipment={eq}
                                              record-id={recordId}>
                    </c-eqt_table_masters_view>

                </div>
            </template>

        </div>
    </template>


    <!--<div class="row">
        <div class="column">
            <b>Equipment</b>
        </div>
        <div class="column"></div>
        <div class="column"></div>
    </div>-->

</template>